Create a new vehicle
curl --request POST \
--url https://api.raul.ugps.io/api/v1/vehicle/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"license_plate": "ABCD-12",
"plate": "ABCD-12",
"name": "<string>",
"model": "<string>",
"make": "<string>",
"year": 123,
"color": "<string>",
"type_id": 123,
"dv": "<string>",
"engine": "<string>",
"chassis": "<string>",
"kilometers": 123,
"gas_type": "<string>"
}
'import requests
url = "https://api.raul.ugps.io/api/v1/vehicle/create"
payload = {
"license_plate": "ABCD-12",
"plate": "ABCD-12",
"name": "<string>",
"model": "<string>",
"make": "<string>",
"year": 123,
"color": "<string>",
"type_id": 123,
"dv": "<string>",
"engine": "<string>",
"chassis": "<string>",
"kilometers": 123,
"gas_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
license_plate: 'ABCD-12',
plate: 'ABCD-12',
name: '<string>',
model: '<string>',
make: '<string>',
year: 123,
color: '<string>',
type_id: 123,
dv: '<string>',
engine: '<string>',
chassis: '<string>',
kilometers: 123,
gas_type: '<string>'
})
};
fetch('https://api.raul.ugps.io/api/v1/vehicle/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Vehicle/Asset
Create a new vehicle
Operacion: Create a new vehicle.
POST
/
api
/
v1
/
vehicle
/
create
Create a new vehicle
Authorizations
Token de sesión Better Auth para rutas de backoffice; las rutas de portal usan su token propio.
Body
application/json
Patente del vehiculo
Example:
"ABCD-12"
Alias legado para patente
Example:
"ABCD-12"
Nombre visible del vehiculo
Modelo del vehiculo
Marca del vehiculo
Ano del vehiculo
Color del vehiculo
ID del tipo de vehiculo
Digito verificador
Motor del vehiculo
Chasis del vehiculo
Kilometraje del vehiculo
Tipo de combustible
Response
201
Vehicle created